/// <reference types="react" />
import css from './common.scss';
export * from './theme-master';
export * from './tag';
export * from './label';
export * from './inputs';
export * from './container';
export * from './spinner';
export * from './tooltip';
export * from './calendars';
export * from './layout';
export * from './list';
export { Form, Fields, FormLookup, transformFormValidation, transformServerValidation, createField, formatErrors, OnChangeType, } from './form';
export * from './hoc/with-options';
export * from './hoc/with-lookup';
export * from './hoc/as-modal';
export * from './hoc/with-scrolling';
export * from './hoc/as-field';
export * from './hoc/with-clickable';
export * from './hoc/is-night-theme';
export * from './hoc/external';
export * from './hoc/with-dropdown';
export * from './hoc/with-informer';
export * from './scroller-toolbar';
export * from './scroller-manager';
export * from './app';
export * from './icons';
export * from './scroller';
export * from './portal-container';
export * from './column-span';
export * from './modal';
export * from './dialogs';
export * from './steps';
export * from './loader-overlay';
export * from './timer';
export * from './link';
export * from './filter';
export * from './tags-panel';
export * from './filter-tags';
export * from './status';
export * from './limit-width';
export * from './scroller-placeholder';
export * from './fill-bar';
export * from './pagination';
export * from './typography';
export * from './wizard';
export * from './validation-controls';
export * from './informer';
export * from './loader';
export * from './collapsed-panel';
export * from './width-content';
export * from './Watcher';
export * from './phased-step';
export * from './overlay-informer';
export * from './ya-maps';
export * from './documents-container';
export * from './file-info';
export * from './buttons';
export * from './document-status';
export * from './document-actions';
export * from './deprecated-tabs';
export * from './tabs';
export * from './result-view';
export * from './comment-container';
export * from './WithInfoTooltip';
export * from './mini-table';
export * from './drop-menu';
export * from './card-select';
export * from './omni-table';
export * from './scroller-card';
export * from './comment';
export * from './details';
export * from './interfaces';
export * from './constants';
export * from './utils/external';
export * from './utils/date';
export * from './utils/browser';
export * from './utils/object';
export * from './utils/use-event-listener';
export * from './utils/get-z-index';
export * from './utils/focus-by-name';
export * from './hooks';
export * from './if';
export * from './atoms';
export * from './badge';
export * from './notification';
export * from './sticky-layout';
export * from './resize-sensor';
export * from './pick/interfaces';
export * from './core/utils';
export declare const component: JSX.Element;
export declare const alias = "@platform/ui";
export declare const commonCss: css.ICommonScss & {
    locals: css.ICommonScss;
};
